Find the answer to your Linux question:
Page 2 of 3 FirstFirst 1 2 3 LastLast
Results 11 to 20 of 25
Originally Posted by Daan I do. They are quite old though. And everything seems to be working, so I prefer to stay with what I have now. I was just ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #11
    Linux Newbie
    Join Date
    Feb 2009
    Location
    Third ring of Pergatory
    Posts
    199

    Quote Originally Posted by Daan View Post
    I do. They are quite old though. And everything seems to be working, so I prefer to stay with what I have now.
    I was just reading back over the thread, Daan, I think Rok has a good point. It almost sounds like the automated system dumped your earlier configs for your window manager (icons/colors changed, programs no longer running with default behaviors) which seems...counterproductive.
    If it's good for you though, it's good for me, I'd just shut the auto updater off, if I were you.

  2. #12
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    I think the problem for a large part is that I now have packages installed from the unstable branch, while now I have only Lenny (stable) enabled in my /etc/apt/sources.list. For instance, I have Openoffice 3 installed, which is not even in testing!

    Another error I get: When trying to add a shared folder in Gnome, I get a window saying:
    Code:
    The platform you are running is not supported by this tool
    
    If you know for sure that it works like one of the platforms listed below,
    you can select that and continue. Note, however, that this might damage
    the system configuration or downright cripple your computer.
    It lists a bunch of Debians, including Lenny and testing/ustable.

    Hmm. Maybe I'll use the backup image I have made. But if anyone knows a way to fix this without having to use the backups, tell me please.
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  3. #13
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    Ok, it's my plan now to downgrade. I think my trouble is caused by a line for unstable in my /etc/apt/sources.list of which I dont know how it got there and which I have removed now.

    I follow instructions at Re: How to downgrade to stable? .

    My /etc/apt/sources.list now looks like

    Code:
    # lenny
    deb http://ftp.nl.debian.org/debian/ lenny main contrib non-free
    deb-src http://ftp.nl.debian.org/debian/ lenny main contrib non-free
    deb http://security.debian.org/ lenny/updates main contrib non-free
    deb-src http://security.debian.org/ lenny/updates main contrib non-free
    deb http://www.debian-multimedia.org lenny main
    
    # squeeze
    deb http://ftp.nl.debian.org/debian/ squeeze main contrib non-free
    deb-src http://ftp.nl.debian.org/debian/ squeeze main contrib non-free
    deb http://security.debian.org/ squeeze/updates main contrib non-free
    deb-src http://security.debian.org/ squeeze/updates main contrib non-free
    deb http://www.debian-multimedia.org squeeze main
    
    # sid
    deb http://ftp.nl.debian.org/debian/ sid main contrib non-free
    deb-src http://ftp.nl.debian.org/debian/ sid main contrib non-free
    deb http://www.debian-multimedia.org sid main
    I have edited /etc/apt/preferences to look like this, so that packages will be retrieved from stable if stable has them, otherwise testing, otherwise unstable.

    Code:
    Package: *
    Pin: release a=stable
    Pin-Priority: 1001
    
    Package: *
    Pin: release a=testing
    Pin-Priority: 60
    
    Package: *
    Pin: release a=unstable
    Pin-Priority: 50
    Now updating the package database gives

    Code:
    # apt-get update
    Hit http://ftp.nl.debian.org lenny Release.gpg
    Ign http://ftp.nl.debian.org lenny/main Translation-en_US                                                           
    Ign http://ftp.nl.debian.org lenny/contrib Translation-en_US                                                        
    Ign http://ftp.nl.debian.org lenny/non-free Translation-en_US                                                       
    Hit http://ftp.nl.debian.org squeeze Release.gpg                                                                    
    Ign http://ftp.nl.debian.org squeeze/main Translation-en_US                                                         
    Ign http://ftp.nl.debian.org squeeze/contrib Translation-en_US                                                       
    Ign http://ftp.nl.debian.org squeeze/non-free Translation-en_US                                                      
    Hit http://ftp.nl.debian.org sid Release.gpg                                                                         
    Ign http://ftp.nl.debian.org sid/main Translation-en_US                                                              
    Ign http://ftp.nl.debian.org sid/contrib Translation-en_US                                                           
    Ign http://ftp.nl.debian.org sid/non-free Translation-en_US                                                          
    Hit http://ftp.nl.debian.org lenny Release                                                                           
    Hit http://ftp.nl.debian.org squeeze Release                                                                         
    Hit http://ftp.nl.debian.org sid Release                                                                                                  
    Ign http://ftp.nl.debian.org lenny/main Packages/DiffIndex                                                           
    Ign http://ftp.nl.debian.org lenny/contrib Packages/DiffIndex                            
    Ign http://ftp.nl.debian.org lenny/non-free Packages/DiffIndex                           
    Ign http://ftp.nl.debian.org lenny/main Sources/DiffIndex                                
    Ign http://ftp.nl.debian.org lenny/contrib Sources/DiffIndex                             
    Ign http://ftp.nl.debian.org lenny/non-free Sources/DiffIndex                            
    Hit http://ftp.nl.debian.org squeeze/main Packages/DiffIndex                             
    Hit http://ftp.nl.debian.org squeeze/contrib Packages/DiffIndex    
    Hit http://ftp.nl.debian.org squeeze/non-free Packages/DiffIndex   
    Hit http://ftp.nl.debian.org squeeze/main Sources/DiffIndex        
    Hit http://ftp.nl.debian.org squeeze/contrib Sources/DiffIndex     
    Hit http://ftp.nl.debian.org squeeze/non-free Sources/DiffIndex                          
    Hit http://ftp.nl.debian.org sid/main Packages/DiffIndex                                 
    Hit http://ftp.nl.debian.org sid/contrib Packages/DiffIndex                              
    Hit http://ftp.nl.debian.org sid/non-free Packages/DiffIndex                             
    Hit http://ftp.nl.debian.org sid/main Sources/DiffIndex                                  
    Hit http://ftp.nl.debian.org sid/contrib Sources/DiffIndex                               
    Hit http://ftp.nl.debian.org sid/non-free Sources/DiffIndex                              
    Hit http://ftp.nl.debian.org lenny/main Packages                                         
    Hit http://ftp.nl.debian.org lenny/contrib Packages                                      
    Hit http://ftp.nl.debian.org lenny/non-free Packages                                     
    Hit http://ftp.nl.debian.org lenny/main Sources                                          
    Hit http://ftp.nl.debian.org lenny/contrib Sources                                       
    Hit http://security.debian.org lenny/updates Release.gpg                                 
    Ign http://security.debian.org lenny/updates/main Translation-en_US                      
    Ign http://security.debian.org lenny/updates/contrib Translation-en_US                   
    Ign http://security.debian.org lenny/updates/non-free Translation-en_US                  
    Hit http://security.debian.org squeeze/updates Release.gpg                               
    Ign http://security.debian.org squeeze/updates/main Translation-en_US                    
    Ign http://security.debian.org squeeze/updates/contrib Translation-en_US                 
    Ign http://security.debian.org squeeze/updates/non-free Translation-en_US                
    Hit http://ftp.nl.debian.org lenny/non-free Sources                                      
    Hit http://security.debian.org lenny/updates Release               
    Hit http://security.debian.org squeeze/updates Release             
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex                    
    Ign http://security.debian.org lenny/updates/contrib Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/non-free Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Ign http://security.debian.org lenny/updates/contrib Sources/DiffIndex
    Ign http://security.debian.org lenny/updates/non-free Sources/DiffIndex
    Ign http://security.debian.org squeeze/updates/main Packages/DiffIndex
    Ign http://security.debian.org squeeze/updates/contrib Packages/DiffIndex
    Ign http://security.debian.org squeeze/updates/non-free Packages/DiffIndex
    Ign http://security.debian.org squeeze/updates/main Sources/DiffIndex
    Ign http://security.debian.org squeeze/updates/contrib Sources/DiffIndex
    Ign http://security.debian.org squeeze/updates/non-free Sources/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages         
    Hit http://security.debian.org lenny/updates/contrib Packages      
    Hit http://security.debian.org lenny/updates/non-free Packages     
    Hit http://security.debian.org lenny/updates/main Sources          
    Hit http://security.debian.org lenny/updates/contrib Sources       
    Hit http://security.debian.org lenny/updates/non-free Sources      
    Hit http://security.debian.org squeeze/updates/main Packages       
    Hit http://security.debian.org squeeze/updates/contrib Packages    
    Hit http://security.debian.org squeeze/updates/non-free Packages   
    Hit http://security.debian.org squeeze/updates/main Sources        
    Hit http://security.debian.org squeeze/updates/contrib Sources     
    Hit http://security.debian.org squeeze/updates/non-free Sources    
    Hit http://www.debian-multimedia.org lenny Release.gpg             
    Hit http://www.debian-multimedia.org lenny/main Translation-en_US
    Hit http://www.debian-multimedia.org squeeze Release.gpg
    Hit http://www.debian-multimedia.org squeeze/main Translation-en_US
    Hit http://www.debian-multimedia.org sid Release.gpg
    Hit http://www.debian-multimedia.org sid/main Translation-en_US
    Hit http://www.debian-multimedia.org lenny Release
    Hit http://www.debian-multimedia.org squeeze Release
    Hit http://www.debian-multimedia.org sid Release
    Hit http://www.debian-multimedia.org lenny/main Packages/DiffIndex
    Hit http://www.debian-multimedia.org squeeze/main Packages/DiffIndex
    Hit http://www.debian-multimedia.org sid/main Packages/DiffIndex
    Reading package lists... Done
    Upgrading gives mainly downgrades

    Code:
    # apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      liblcms1 linux-headers-2.6.26-1-686 linux-headers-2.6.26-1-common linux-image-2.6.26-1-486 linux-image-2.6.26-1-686
    The following packages will be DOWNGRADED:
      acpi acpid alacarte amarok amarok-common amarok-engine-xine amsn amsn-data aptitude aufs-tools autoconf autotools-dev avahi-autoipd base-files bash binutils bison bsd-mailx ca-certificates cdrdao comix console-data coreutils cpio cpp
      cpp-4.3 cracklib-runtime cups cups-bsd cups-client cups-common cupsys cupsys-bsd cupsys-client dbus dbus-x11 debconf debconf-i18n debhelper debianutils desktop-base dialog dictionaries-common dnsmasq-base doc-base dvd+rw-tools
      dvipdfmx eject esound-clients esound-common evince fakeroot fast-user-switch-applet fastjar file filezilla filezilla-common findutils fontypython foo2zjs foomatic-db foomatic-db-engine foomatic-db-gutenprint foomatic-filters g++
      g++-4.3 gcc gcc-4.3 gcc-4.3-base gcj-4.3-base gdm gdm-themes gedit gedit-common gettext gettext-base ghostscript ghostscript-x gij-4.3 gimp gimp-data gksu gnome-audio gnome-commander gnome-doc-utils gnome-icon-theme
      gnome-netstatus-applet gnumeric-common gnupg gparted gpgv grep gs-common gsfonts gstreamer0.10-alsa gstreamer0.10-gnomevfs gstreamer0.10-plugins-bad gstreamer0.10-plugins-base gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly
      gstreamer0.10-pulseaudio gstreamer0.10-x gthumb gthumb-data gvfs gzip hal-info hardinfo hplip-data html2text ijsgutenprint initramfs-tools inkscape iproute iso-codes java-common java-gcj-compat java-gcj-compat-headless k3b kbuild
      kdelibs-data kdelibs4c2a kdemultimedia-kio-plugins kile klibc-utils kregexpeditor laptop-detect latex-beamer libaa1 libaa1-dev libao2 libapr1 libarts1-akode libarts1c2a libartsc0 libartsc0-dev libasound2 libasound2-dev libatk1.0-0
      libavahi-client-dev libavahi-client3 libavahi-common-data libavahi-common-dev libavahi-common3 libavahi-compat-libdnssd1 libavahi-glib1 libavahi-gobject0 libavahi-qt3-1 libavahi-ui0 libavc1394-0 libbinio1ldbl libbonoboui2-0
      libbonoboui2-common libcairo-perl libcap2 libcommons-digester-java libcommons-logging-java libcompress-raw-zlib-perl libcompress-zlib-perl libcrack2 libcups2 libcupsimage2 libcupsys2 libdb-je-java libdb4.6 libdb4.6-java
      libdb4.6-java-gcj libdbd-mysql-perl libdbi-perl libdbus-1-3 libdbus-1-dev libdc1394-22 libdca0 libdevmapper1.02.1 libdvdnav4 libept0 libesd0 libesd0-dev libexempi3 libfluidsynth1 libfreebob0 libfreezethaw-perl libgail-common
      libgail18 libgc1c2 libgcc1 libgcj-bc libgcj-common libgcj9-0 libgcj9-0-awt libgcj9-jar libgconfmm-2.6-1c2 libgdbm-dev libgdbm3 libgegl-0.0-0 libgii1 libgii1-target-x libgimp2.0 libgksu2-0 libglade2-0 libglademm-2.4-1c2a libglib-perl
      libgmp3c2 libgnome2-0 libgnome2-canvas-perl libgnome2-common libgnome2-vfs-perl libgnomekbd-common libgnomekbd2 libgnomekbdui2 libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-bin libgnomevfs2-common libgnomevfs2-extra
      libgoffice-0-6 libgoffice-0-6-common libgomp1 libgpod3 libgs8 libgsf-1-114 libgsf-1-common libgsf-gnome-1-114 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk2.0-bin libgtk2.0-common libgtksourceview-common
      libgtksourceview1.0-0 libgtksourceview2.0-0 libgtksourceview2.0-common libgtkspell0 libgtop2-7 libgtop2-common libgutenprint2 libgvfscommon0 libgweather-common libgweather1 libhtml-parser-perl libhunspell-1.2-0 libice-dev libice6
      libidl0 libidn11 libiec61883-0 libijs-0.35 libimlib2 libio-compress-base-perl libio-compress-zlib-perl libjack0 libjdom1-java libk3b3 libk3b3-extracodecs libkcddb1 libkeyutils1 libklibc libkrb53 libldap-2.4-2 libmagic1 libmagick++10
      libmagick10 libmail-box-perl libmail-sendmail-perl libmailtools-perl libmime-types-perl libmodplug0c2 libmpfr1ldbl libmudflap0 libmysqlclient15off libncurses5 libncurses5-dev libncursesw5 libnet-daemon-perl libnfsidmap2 libnl1
      libnotify1 libnss3-1d libogg0 libopenobex1 libopenraw1 libopenrawgnome1 liborbit2 libpam-cracklib libpam-modules libpam-runtime libpam0g libpcap0.8 libpci3 libpcsclite1 libplrpc-perl libpng12-0 libpng12-dev libpolkit-dbus2
      libpolkit-gnome0 libpolkit-grant2 libpolkit2 libpurple0 libqt4-assistant libqt4-core libqt4-dbus libqt4-designer libqt4-gui libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-mysql libqt4-svg
      libqt4-test libqt4-webkit libqt4-xml libqtcore4 libqtgui4 libreadline5 librsvg2-2 librsvg2-common libsamplerate0 libsane libsane-extras libsaxonb-java libsdl1.2-dev libsdl1.2debian libsdl1.2debian-alsa libselinux1 libsemanage1
      libsepol1 libsm-dev libsm6 libsmbclient libsndfile1 libsoup2.4-1 libspectre1 libssh2-1 libstdc++6 libstdc++6-4.3-dev libstlport4.6ldbl libsvn1 libtheora0 libtidy-0.99-0 libtrackerclient0 liburi-perl libvoikko1 libvorbis0a
      libvorbisenc2 libvorbisfile3 libvte-common libvte9 libwbclient0 libwnck-common libwnck22 libwpg-0.1-1 libwww-perl libxapian15 libxau-dev libxau6 libxaw7 libxfont1 libxft2 libxi6 libxine1 libxine1-bin libxine1-console
      libxine1-misc-plugins libxine1-x libxml-twig-perl libxml2 libxml2-utils linux-libc-dev linuxdcpp logrotate lsof man-db manpages mawk menu-xdg mhddfs mixxx mixxx-data mktemp mlocate module-init-tools mtools mtr-tiny myspell-en-us
      mysql-client-5.0 mysql-common mysql-server mysql-server-5.0 ncurses-base ncurses-bin ncurses-term netatalk nfs-common nicotine nmap notification-daemon nvclock nvidia-settings patchutils pciutils pidentd pidgin pidgin-data pm-utils
      pmount policycoreutils policykit policykit-gnome popularity-contest powertop python python-apt python-central python-daap python-dbus python-gst0.10 python-libxml2 python-minimal python-selinux python-semanage python-sepolgen
      python-support python-vte python2.5 python2.5-minimal qt4-qtconfig raptor-utils rar readline-common resolvconf rsync samba-doc sane-utils sed selinux-policy-default shared-mime-info smartmontools sound-juicer subversion synaptic
      tcl8.4 tcl8.5 tidy tipa tk8.4 tk8.5 toshset traceroute transmission-common transmission-gtk ttf-dejavu ttf-dejavu-core ttf-dejavu-extra ttf-opensymbol tzdata unattended-upgrades vbetool vim-common vim-tiny vinagre vino virtualbox-ose
      virtualbox-ose-source vls vorbis-tools vpnc whois wireshark wireshark-common x11-utils x11-xfs-utils x11-xkb-utils x11proto-core-dev x11proto-input-dev x11proto-xext-dev xinit xkb-data xserver-xephyr xserver-xorg-core
      xserver-xorg-input-wacom xserver-xorg-video-vesa xterm xtrans-dev yelp zenity zenmap zlib1g zlib1g-dev
    5 upgraded, 0 newly installed, 490 downgraded, 0 to remove and 46 not upgraded.
    Need to get 498MB of archives.
    After this operation, 61.5MB disk space will be freed.
    Do you want to continue [Y/n]?
    Shall I continue?
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  4. #14
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    So I continued, but Gnome is even more messed up now than it was before.

    Booting goes without any errors or warnings now, but as soon as Gnome starts, things look bad: during login it complains twice that it cannot find setttings for the login screen and the desktop is green with out task bars. Most icons are missing.

    But: the modprobe is not complaining anymore about config files not ending in .config.
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  5. #15
    Linux Newbie
    Join Date
    Feb 2009
    Location
    Third ring of Pergatory
    Posts
    199
    things look bad: during login it complains twice that it cannot find setttings for the login screen and the desktop is green with out task bars. Most icons are missing.
    But: the modprobe is not complaining anymore about config files not ending in .config.
    We could always just boot it over into the terminal and declare victory!
    No, no, no...not a good solution...have we ldconfiged since the downgrade?

  6. #16
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    ldconfig - I dont know that command but I ran it.
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  7. #17
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    How to get rid of packages from the unstable branch without downgrading?

    I might just install a new Debian on my laptop. I have /home on a seperate partition, so that's easy. I can always install my backup later (I am not at home right now so cannot do that now).

    What about the new testing - squeeze?
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  8. #18
    Linux User Daan's Avatar
    Join Date
    Aug 2005
    Location
    The Netherlands
    Posts
    323
    I tried

    Code:
    # aptitude remove gnome-utils gnome-core gnome-dektop-data gnome-dektopenvironment
    and

    Code:
    # aptitude install gnome-core gdm
    but still the same problems.
    OS's I use: Debian testing, Debian stable, Ubuntu, OpenSuse 12.1, Windows 7, Windows Vista, Windows XP

  9. #19
    Linux Newbie
    Join Date
    Feb 2009
    Location
    Third ring of Pergatory
    Posts
    199
    ldconfig makes the kernel re-read the libs, I always run it manually after I modify software on the machine it occasionaly resolves missing dependencies for you. I was hoping Gnome would find your desktop config files when you ran it.
    By green, do you mean everything has a green tint or the desktop is green?
    If it's just a green desktop, that's probably the missing config files for gnome, I think those were overwritten when you did the first debian remix trying to get away from "testing", Weren't they? I'd try to rebuild the original desktop in gnome manager and take frequent snapshots of it if I'm using an auto-upgrading system to keep my distro current,

  10. #20
    Linux Guru Jonathan183's Avatar
    Join Date
    Oct 2007
    Posts
    3,042
    Quote Originally Posted by Daan View Post
    I might just install a new Debian on my laptop. I have /home on a seperate partition, so that's easy. I can always install my backup later (I am not at home right now so cannot do that now).
    Quote Originally Posted by Daan View Post
    I tried

    Code:
    # aptitude remove gnome-utils gnome-core gnome-dektop-data gnome-dektopenvironment
    and

    Code:
    # aptitude install gnome-core gdm
    but still the same problems.
    Have you tried a new user account with the current setup?
    I must confess I would probably have done a fresh install by now

Page 2 of 3 FirstFirst 1 2 3 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •